<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		#content{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			grid-template-rows: repeat(3, 1fr);
			grid-template-areas: "uno uno uno uno"
			"dos tres tres cuatro"
			"cinco cinco cinco cinco";
			grid-gap: 5px;
		}
			.a{
				grid-area: uno;
			}
			.b{
				grid-area: dos;
			}
			.c{
				grid-area: tres;
			}
			.d{
				grid-area: cuatro;
			}
			.e{
				grid-area: cinco;
			}
			#content>div{
				border: 2px solid blue;
			}
			@media(max-width: 600px){
				#content{
					display: grid;
					grid-template-columns: repeat(4, 1fr);
					grid-template-rows: repeat(4, 1fr);
					grid-template-areas: "uno uno uno uno"
					"dos tres tres tres"
					"cuatro cuatro cuatro cuatro"
					"cinco cinco cinco cinco";
					grid-gap: 5px;
				}
			}
	</style>
</head>
<body>
	<div id="content">
		<div class="a">header</div>
		<div class="b">sidebar</div>
		<div class="c">content</div>
		<div class="d">sidebar2</div>
		<div class="e">footer</div>
	</div>
</body>
</html>